RADIOCTL(1) | General Commands Manual | RADIOCTL(1)

# NAME

`radioctl` —
control radio tuners

# SYNOPSIS

`radioctl` | [`-f` file] [`-n`] `-a`

`radioctl` | [`-f` file] [`-n`] name

`radioctl` | [`-f` file] [`-n`] `-w` name=value

# DESCRIPTION

The `radioctl` command displays or sets various variables that affect the radio tuner behavior. If a variable is present on the command line, `radioctl` prints the current value of this variable for the specified device. By default, `radioctl` operates on the /dev/radio device.

The options are as follows:

`-a`
  Print all device variables and their current values.
`-w` name=value
  Attempt to set the specified variable name to value.
`-f` file
  Specify an alternative radio tuner device.
`-n`
  Suppress printing of the variable name.

Values may be specified in either absolute or relative forms. The relative form is indicated by a prefix of ‘`+`’ or ‘`-`’ to denote an increase or decrease, respectively.

The exact set of controls that can be manipulated depends on the tuner. The general format (in both getting and setting a value) is

name = value

The name indicates what part of the tuner the control affects.

Write only controls:

search
  Only for cards that allow hardware search. Can be ‘`up`’ or ‘`down`’.

Read-write controls:

frequency
  Float value from 87.5 to 108.0.
volume
  Integer value from 0 to 255.
mute
  Mutes the card (volume is not affected), ‘`on`’ or ‘`off`’.
mono
  Forces card output to mono, ‘`on`’ or ‘`off`’. Only for cards that allow forced mono.
reference
  Reference frequency. Can be 25 kHz, 50 kHz and 100 kHz. Not all cards allow to change the reference frequency.
sensitivity
  Station locking sensitivity. Can be 5 mkV, 10 mkV, 30 mkV and 150 mkV. Not all cards allow to change the station locking sensitivity.

All the remaining controls (signal, stereo and card capabilities) are read-only and can be viewed using option `-a`.

# ENVIRONMENT

The following environment variable affects the execution of `radioctl`:

`RADIODEVICE`
  The radio tuner device to use.

# FILES

/dev/radio
  radio tuner device

# EXAMPLES

The command

`radioctl -a`

can produce

    volume=255
    frequency=106.30MHz
    mute=off
    reference=50kHz
    signal=on
    stereo=on
    card capabilities:
            manageable mono/stereo

# SEE ALSO

radio(4)

# HISTORY

`radioctl` command first appeared in OpenBSD 3.0 and NetBSD 1.6.

September 16, 2001 | NetBSD 9.4